---
title: Syntax highlighting
slug: MDN/Editor/Syntax_highlighting
tags:
  - Guide
  - Howto
  - MDN Meta
  - Syntax Highlighting
  - editor
---
<div>{{MDNSidebar}}</div><p class="summary"><span class="seoSummary">When you add a code example to an article on MDN, it's helpful to enable syntax highlighting, to make it easy for readers to visually pick out relevant bits of the code. The syntax highlighting mode you select is also used by our <a href="/en-US/docs/MDN/Contribute/Structures/Live_samples">live sample</a> rendering system to determine how to use each code snippet when assembling a complete example.</span></p>

<h2 id="Support_for_syntax_highlighting">Support for syntax highlighting</h2>

<p>MDN's wiki includes support for all of the languages we frequently use on MDN (as well as some we only use occasionally):</p>

<div class="threecolumns">
<ul>
 <li>
  <p>Bash shell</p>
 </li>
 <li>
  <p>C/C++</p>
 </li>
 <li>
  <p>CSS</p>
 </li>
 <li>
  <p>HTML</p>
 </li>
 <li>
  <p>Java</p>
 </li>
 <li>
  <p>JavaScript</p>
 </li>
 <li>
  <p>JSON</p>
 </li>
 <li>
  <p>PHP</p>
 </li>
 <li>
  <p>Python</p>
 </li>
 <li>
  <p>SQL</p>
 </li>
</ul>
</div>

<ul>
 <li>
  <p>XML</p>
 </li>
</ul>

<p>Syntax highlighting can help make the code more readable, especially when it's in the context of a document full of other kinds of text. It can also help identify problems with examples and code snippets.</p>

<h2 id="Applying_syntax_highlighting">Applying syntax highlighting</h2>

<p>As a rule, you should always enable syntax highlighting for any {{HTMLElement("pre")}} block which presents code if the block is more than one line long; for one-line code blocks, syntax highlighting may be optional depending on the context.</p>

<p>To enable syntax highlighting in code examples:</p>

<ol>
 <li>
  <p>Type or paste the code into the article. For example:</p>

  <p>void main(int argc, char **argv) {</p>

  <p style="margin-left: 40px;">printf("Hello world\n");</p>

  <p>}</p>
 </li>
 <li>
  <p>Select the text and click the <strong>PRE</strong> button in the editor toolbar. The result looks like this:</p>

  <pre class="notranslate">void main(int argc, char **argv) {

printf("Hello world\n");

}
</pre>
 </li>
 <li>Click the <strong>Syntax Highlighter</strong> button and select the name of the appropriate programming language for the code example. In this case, it is C/C++:
  <pre class="brush: cpp notranslate">void main(int argc, char **argv) {

printf("Hello world\n");

}</pre>
 </li>
</ol>

<div class="note">
<p>The editor does not currently display the syntax highlighting.  You'll need to preview or save your changes and look at the article to see the syntax highlighting in effect.</p>
</div>

<p>You can actually simplify this process slightly by selecting the language from the syntax highlighter's language list in the toolbar without first clicking the <strong>PRE</strong> button. Applying syntax highlighting automatically adds the required {{HTMLElement("pre")}} block if it's not already in place.</p>

<p>If you also need to highlight specific lines or groups of lines within the code, you can do so by making some changes in source mode. See {{SectionOnPage("/en-US/docs/MDN/Contribute/Editor/Source_mode", "Highlighting lines in sample code")}}.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Live_samples">Live samples</a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Editor">Guide to the MDN editor UI</a></li>
 <li><a href="/en-US/docs/MDN/Getting_started">Getting started on MDN</a></li>
</ul>

<div>{{EditorGuideQuicklinks}}</div>
